{% extends 'core/document_nav.html' %}
{% load i18n staticfiles bootstrap thumbnail %}
{% block styles %}

{# custom jquery ui build with draggable and resizable only #}
{{ block.super }}
{% endblock %}

{% block nav-images-active %}active{% endblock %}

{% block tab_content %}
<div id="dropzone">
  <form action="{% url 'api:part-list' document_pk=document.pk %}" class="dropzone dz-clickable mb-2" id="document-image-dropzone">
    {% csrf_token %}
    <div class="dz-message"><i class="fas fa-upload"></i> {% trans "Drop images here or click to upload." %}</div>
  </form>
</div>
<div>
  <div class="multi-proc d-flex">
    <button id="select-all" class="btn btn-sm btn-info mr-1">{% trans "Select all" %}</button>
    <button id="unselect-all" class="btn btn-sm btn-info mr-1">{% trans "Unselect all" %}</button>
    <span>{% trans "Loading" %} <span id="loading-counter"></span>...</span>
    <span>{% trans "Selected" %} <span id="selected-counter"></span></span>
    <div class="btn-group ml-auto mr-1" role="group">
      <button id="import-selected" type="button" class="btn btn-sm btn-primary dropdown-toggle" data-toggle="dropdown">
        <i class="fas fa-file-import mr-1"></i>{% trans "Import" %}
      </button>
      <div class="dropdown-menu">
          <a data-proc="import-iiif" class="js-proc-selected dropdown-item" href="#">Images (IIIF)</a>
          <a data-proc="import-pdf" class="js-proc-selected dropdown-item" href="#">Images (PDF)</a>
        <a data-proc="import-xml" class="js-proc-selected dropdown-item" href="#">Transcriptions (XML)</a>
      </div>
    </div>
    {% with import=import_form.current_import %}
    <span class="import-counter-container {% if import and import.ongoing %}ongoing{% endif %}">{% trans "Importing" %}
      <span id="import-counter">{% if import %}{% if import.total %}{{import.processed}}/{{import.total}}{% else %}pending{% endif %}{% endif %}</span>...
      <button id="cancel-import" class="btn btn-sm btn-warning mr-1"><i class="fas fa-ban"></i></button>
    </span>
    {% endwith %}

    {% if document.transcriptions.count %}
    <button id="document-export" type="button" class="btn btn-sm btn-primary js-proc-selected ml-1" title="{% trans "Export" %}" data-proc="export">
      <i class="fas fa-file-export mr-1"></i>{% trans "Export" %}
    </button>
    {% endif %}

    {% if perms.core.can_train %}
    {% with training_model=document.training_model %}
    <div class="btn-group ml-auto mr-1" role="group">
    <button id="train-selected" type="button" class="btn btn-sm btn-primary dropdown-toggle {% if training_model %}blink{% endif %}" title="{% trans 'Train a segmenter/recognizer model.' %}" data-toggle="dropdown">
      <i class="fas fa-subway mr-1"></i>{% trans "Train" %}
    </button>
    <div class="dropdown-menu">
      <a data-proc="segtrain" class="js-proc-selected dropdown-item" href="#">Segmenter</a>
      <a data-proc="train" class="js-proc-selected dropdown-item" href="#">Recognizer</a>
    </div>
    </div>
    <button id="cancel-training" class="btn btn-sm btn-warning {% if not training_model %}hide{% endif %}" title="{% trans "Cancel training" %}"><i class="fas fa-ban"></i></button>
    {% endwith %}
    {% endif %}
    <button id="binarize-selected" class="btn btn-sm btn-primary mr-1 ml-auto js-proc-selected" data-proc="binarize" title="{% trans 'Binarize selected images.' %}"><i class="fas fa-adjust mr-1"></i>{% trans "Binarize" %}</button>
    <button id="segment-selected" class="btn btn-sm btn-primary mr-1 js-proc-selected" data-proc="segment" title="{% trans 'Segment selected images.' %}"><i class="fas fa-align-left mr-1"></i>{% trans "Segment" %}</button>
    <button id="transcribe-selected" class="btn btn-sm btn-primary mr-1 js-proc-selected" data-proc="transcribe" title="{% trans 'Start transcribing selected images.' %}"><i class="fas fa-language mr-1"></i>{% trans "Transcribe" %}</button>
  </div>
</div>

<div id="cards-container" class="mt-2 d-flex flex-row flex-nowrap {{ document.read_direction }}">
  <div class="dropable js-drop"></div>
  {# card are created through the dom api (see below) #}
</div>
{% endblock %}

{% block modals %}
{# template for adding card #}
<div id="card-template">
  <div id="image-card-{pk}" class="card">
    <div style="position: relative;">
      <button class="js-card-select-hdl"><i class="fas fa-square"></i></button>
      <button title="{% trans 'Delete this image and all its data (segmentation, transcriptions)' %}" class="close mr-1 js-card-delete" aria-label="Close"><span aria-hidden="true">&times;</span></button>
      <img style="object-fit: cover;" width="180" height="180" class="card-img-top lazy">
      <div class="card-btns">
        <button class="btn card-btn btn-warning js-cancel" title="{% trans 'Cancel tasks' %}"><i class="fas fa-ban"></i></button>
        <button class="btn card-btn btn-info js-edit" id="js-edit" title="{% trans 'Edit' %}"><i class="fas fa-edit"></i></button>
      </div>
    </div>
    <div class="card-body">
      <div class="d-flex mt-2">
        <span class="js-compressing mr-2" data-title="{% trans 'Compressing' %}"><i class="fas fa-compress-arrows-alt"></i></span>
        <span class="btn proc js-binarized" data-title="{% trans 'Binarize' %}"><i class="fas fa-adjust"></i></span>
        <span class="btn proc ml-2 js-segmented" data-title="{% trans 'Segment' %}"><i class="fas fa-align-left"></i></span>
        <span class="btn proc ml-2 js-trans-progress" data-title="{% trans 'Transcribe' %}">
          <span class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100">0%</span>
        </span>
      </div>
    </div>
  </div>
  <div class="dropable js-drop"></div>
</div>

{# Process wizards #}
{% include 'core/wizards/import_iiif.html' with proc='import-iiif' %}
{% include 'core/wizards/import_file.html' with proc='import-xml' %}
{% include 'core/wizards/import_pdf.html' with proc='import-pdf' %}
{% include 'core/wizards/export.html' with proc='export' %}
{% include 'core/wizards/binarize.html' with proc='binarize' %}
{% include 'core/wizards/segment.html' with proc='segment' %}
{% include 'core/wizards/segtrain.html' with proc='segtrain' %}
{% include 'core/wizards/train.html' with proc='train' %}
{% include 'core/wizards/transcribe.html' with proc='transcribe' %}
{% endblock %}

{% block scripts %}
<script type="text/javascript">
 'use strict';
 const DOCUMENT_ID = {{ document.pk }};
 {% if user.onboarding %}
 const ONBOARDING_PAGE = 'onboarding_images';
 {% endif %}
</script>

{{ block.super }}
<script type="text/javascript">
  $(document).ready(function() {
    // join the ws room
    joinDocumentRoom('{{document.pk}}');
    bootImageCards(DOCUMENT_ID);
    bootLazyload();
    bootHelp();
  });
</script>
{% endblock %}
